/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
package com.pragprog.dhnako.carserv.fixture.vehicle;

import com.pragprog.dhnako.carserv.dom.customer.Customer;
import com.pragprog.dhnako.carserv.dom.vehicle.Car;

public class BorisFrederiksonCarsFixture extends AbstractCarFixture {
    public void install() {
    	Customer borisFrederikson = findCustomer("Frederikson", "Boris");

    	Car fordFocusCar = createCar(borisFrederikson, findModel(findMake("Ford"), "Focus"), "KP53GRD");
		bookService(fordFocusCar, 2006, 4, 3);
		bookService(fordFocusCar, 2006, 10, 9);
		bookService(fordFocusCar, 2007, 5, 21);
		bookService(fordFocusCar, 2007, 12, 20);
		bookService(fordFocusCar, 2008, 6, 8);
    	
		Car toyotaCorollaCar = createCar(borisFrederikson, findModel(findMake("Toyota"), "Corolla"), "W379CDV");
		bookService(toyotaCorollaCar, 2004, 11, 12);
		bookService(toyotaCorollaCar, 2005, 8, 12);
		bookService(toyotaCorollaCar, 2006, 6, 23);

		Car toyotaYarisCar = createCar(borisFrederikson, findModel(findMake("Toyota"), "Yaris"), "MB57WDS");
		bookService(toyotaYarisCar, 2007, 7, 9);
		bookService(toyotaYarisCar, 2008, 1, 22);

    }
}
